Limit: 1 request per 1 second
POST /v1/algo/order
Place maker/taker order that requires an additional trigger for order execution such as stop orders.
STOP type order bahavior: an order to buy or sell at the market/limit price once the asset has traded at or through a specified price (the “stop price”). If the asset reaches the stop price, the order becomes a market order and is filled at the next available market price.
To place Positional TP/SL order, the input fields is 2 layer and includes an array of the objects named childOrder. The take-profit or stop-loss order should be the objects in the array. For the sub-order in childOrder, please input CLOSE_POSITION as type, and TAKE_PROFIT or STOP_LOSS in algoType field.
To place Trailing Stop order, please use TRAILING_STOP as algoType and MARKET as type. Please also input your trailing rate setting in callbackRate field.
Sample request can be found here
Note: This endpoint requires trading scope in orderly key.
Timestamp of the signed request in milliseconds.
Account ID of the authenticated account.
Public orderly key used to sign the request.
Signature of the request payload generated with the orderly key.
Use this parameter to control the timeout threshold for placing order, unit in miliseconds
STOP/TP_SL/POSITIONAL_TP_SL/BRACKET/BRACKET + TP_SL/TRAILING_STOP
LIMIT / MARKET, required if algo_type = STOP
For MARKET/ASK/BID order, if order_amount is given, it is not required. Not required if type is POSITIONAL_TP_SL.
SELL/BUY, required if STOP type
36 length, accepts hyphen but cannot be the first character, default: null
Optional for TP_SL and POSTIONAL_TP_SL
Only MARK_PRICE is available for now.
Default false
Activated price for algoType=TRAILING_STOP
Callback rate, only for algoType=TRAILING_STOP, i.e. the value = 0.1 represent to 10%.
Callback value, only for algoType=TRAILING_STOP, i.e. the value = 100
Margin mode for the order. Default: the symbol's current default margin mode.
CROSS, ISOLATED